<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::test::MockResult Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_mock_result.html">MockResult</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_mock_result-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::test::MockResult Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Mock <code>DirectiveHandlerResultInterface</code> implementation.  
 <a href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_mock_result.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::avsCommon::test::MockResult:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_mock_result__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1test_1_1_mock_result_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1test_1_1_mock_result_inherit__map" id="alexa_client_s_d_k_1_1avs_common_1_1test_1_1_mock_result_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::DirectiveHandler\lResultInterface" alt="" coords="5,5,219,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::avsCommon::test::MockResult:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_mock_result__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1test_1_1_mock_result_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1test_1_1_mock_result_coll__map" id="alexa_client_s_d_k_1_1avs_common_1_1test_1_1_mock_result_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::DirectiveHandler\lResultInterface" alt="" coords="5,5,219,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af37b2c1ea1ac41d6052bd95b35abd4bc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_mock_result.html#af37b2c1ea1ac41d6052bd95b35abd4bc">setCompleted</a> () override</td></tr>
<tr class="separator:af37b2c1ea1ac41d6052bd95b35abd4bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63b0b7c7f8a218bf6471d85309a817f7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_mock_result.html#a63b0b7c7f8a218bf6471d85309a817f7">setFailed</a> (const std::string &amp;description) override</td></tr>
<tr class="separator:a63b0b7c7f8a218bf6471d85309a817f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerResultInterface</a></td></tr>
<tr class="memitem:ab79113f73ad795a9747ee811172ee931 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface.html#ab79113f73ad795a9747ee811172ee931">~DirectiveHandlerResultInterface</a> ()=default</td></tr>
<tr class="separator:ab79113f73ad795a9747ee811172ee931 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Mock <code>DirectiveHandlerResultInterface</code> implementation. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="af37b2c1ea1ac41d6052bd95b35abd4bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af37b2c1ea1ac41d6052bd95b35abd4bc">&#9670;&nbsp;</a></span>setCompleted()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::test::MockResult::setCompleted </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Indicate that the handling of the <code>AVSDirective</code> successfully ran to successful completion.</p>
<dl class="section note"><dt>Note</dt><dd>Once this has been called, no other methods of this object should be called. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface.html#a02c9b85d485dfded8f0ca17fa790d3ab">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerResultInterface</a>.</p>

</div>
</div>
<a id="a63b0b7c7f8a218bf6471d85309a817f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63b0b7c7f8a218bf6471d85309a817f7">&#9670;&nbsp;</a></span>setFailed()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::test::MockResult::setFailed </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>description</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Indicate that handling an <code>AVSDirective</code> failed such that subsequent <code>AVSDirectives</code> with the same <code>DialogRequestId</code> should be cancelled.</p>
<dl class="section note"><dt>Note</dt><dd>Once this has been called, no other methods of this object should be called.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">description</td><td>A description, suitable for logging, that indicates the nature of the failure. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface.html#add0024d48a616a54fc33fcf3b20be26a">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerResultInterface</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/AVSCommon/AVS/test/<a class="el" href="_capability_agent_test_8cpp.html">CapabilityAgentTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
